import matplotlib.pyplot as plt
numargs = gausshyper.numargs
[ a, b, c, z ] = [0.9,] * numargs
rv = gausshyper(a, b, c, z)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = gausshyper.cdf(x, a, b, c, z)
h = plt.semilogy(np.abs(x - gausshyper.ppf(prb, a, b, c, z)) + 1e-20)

# Random number generation

R = gausshyper.rvs(a, b, c, z, size=100)
